更换SDK5.0.1 报Parsing Data for android-21 failed 错误
更换SDK5.0.1 报Parsing Data for android-21 failed 错误
崔同亮 发表于3年前
更换SDK5.0.1 报Parsing Data for android-21 failed 错误
  • 发表于 3年前
  • 阅读 39
  • 收藏 0
  • 点赞 0
  • 评论 0
摘要: Eclipse工具将项目更换sdk5.0.1后,报了Parsing Data for android-21 failed 错误。clear之后无法生成R文件,重启Eclipse也无法解决问题。在elipse中更换jdk版本后解决问题。jdk版本需要在1.7以上。如果更改jdk版本后仍无法解决问题,检查时候安装jdk1.7以上的版本。

问题出现的原因:Eclipse的工程原先用的版本为Android4.4W。通过Android SDK Manager工具下载最新版的Android5.0.1之后,无法正常使用,clear无法生成R文件,重启Eclipse也不能解决问题。在操作过程中出现提示如下图所示:

解决问题,设置Eclipse的java编译版本为1.7及以上,如图:

  

  如有问题,欢迎留言!


共有 人打赏支持
粉丝 19
博文 85
码字总数 36614
×
崔同亮
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: